frame

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Sign In

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Alert: This site is migrating to our new home at https://forums.intel.com/s/topic/0TO0P000000PqZDWA0/intel-neural-compute-sticks. Please visit us there!

FORGET ABOUT THIS! NCSDKV2 DOES NOT SUPPORT NCS V2 - [install] Error 131

I tried again to instal the NCSDK v2 on a Raspberry Pi 3b to access my NCS2. This time with a different install script. The most simple possible, as described hereafter.
To be noted, the NCS2 is not plugged in the Raspberry.

Re-init the raspberry
Change the configuration to enable SSH, set the Wifi to US and change password.
Then using SSH:
mkdir workspace
cd workspace
sudo nano /etc/dphys-swapfile
set CONF_SWAPSIZE=1024
sudo /etc/init.d/dphys-swapfile restart
git clone -b ncsdk2 http://github.com/Movidius/ncsdk && cd ncsdk && make install
Then, I have the following error.
Any idea?

Collecting scikit-image<=0.14.0,>=0.13.0
Exception:
Traceback (most recent call last):
File "/usr/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.whl/urllib3/connectionpool.py", line 594, in urlopen
chunked=chunked)
File "/usr/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.whl/urllib3/connectionpool.py", line 391, in _make_request
six.raise_from(e, None)
File "", line 2, in raise_from
File "/usr/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.whl/urllib3/connectionpool.py", line 387, in _make_request
httplib_response = conn.getresponse()
File "/usr/lib/python3.5/http/client.py", line 1198, in getresponse
response.begin()
File "/usr/lib/python3.5/http/client.py", line 297, in begin
version, status, reason = self._read_status()
File "/usr/lib/python3.5/http/client.py", line 266, in _read_status
raise RemoteDisconnected("Remote end closed connection without"
http.client.RemoteDisconnected: Remote end closed connection without response

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/pip/basecommand.py", line 215, in main
status = self.run(options, args)
File "/usr/lib/python3/dist-packages/pip/commands/install.py", line 353, in run
wb.build(autobuilding=True)
File "/usr/lib/python3/dist-packages/pip/wheel.py", line 749, in build
self.requirement_set.prepare_files(self.finder)
File "/usr/lib/python3/dist-packages/pip/req/req_set.py", line 380, in prepare_files
ignore_dependencies=self.ignore_dependencies))
File "/usr/lib/python3/dist-packages/pip/req/req_set.py", line 620, in _prepare_file
session=self.session, hashes=hashes)
File "/usr/lib/python3/dist-packages/pip/download.py", line 821, in unpack_url
hashes=hashes
File "/usr/lib/python3/dist-packages/pip/download.py", line 659, in unpack_http_url
hashes)
File "/usr/lib/python3/dist-packages/pip/download.py", line 853, in _download_http_url
stream=True,
File "/usr/share/python-wheels/requests-2.12.4-py2.py3-none-any.whl/requests/sessions.py", line 501, in get
return self.request('GET', url, **kwargs)
File "/usr/lib/python3/dist-packages/pip/download.py", line 386, in request
return super(PipSession, self).request(method, url, *args, **kwargs)
File "/usr/share/python-wheels/requests-2.12.4-py2.py3-none-any.whl/requests/sessions.py", line 488, in request
resp = self.send(prep, **send_kwargs)
File "/usr/share/python-wheels/requests-2.12.4-py2.py3-none-any.whl/requests/sessions.py", line 609, in send
r = adapter.send(request, **kwargs)
File "/usr/share/python-wheels/CacheControl-0.11.7-py2.py3-none-any.whl/cachecontrol/adapter.py", line 47, in send
resp = super(CacheControlAdapter, self).send(request, **kw)
File "/usr/share/python-wheels/requests-2.12.4-py2.py3-none-any.whl/requests/adapters.py", line 423, in send
timeout=timeout
File "/usr/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.whl/urllib3/connectionpool.py", line 643, in urlopen
_stacktrace=sys.exc_info()[2])
File "/usr/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.whl/urllib3/util/retry.py", line 315, in increment
total -= 1
TypeError: unsupported operand type(s) for -=: 'Retry' and 'int'
Installation failed: Command 'sudo -E -H pip3 install --trusted-host files.pythonhosted.org scikit-image>=0.13.0,<=0.14.0' return code=2. Error on line 324 in ./install-utilities.sh. Will exit
Makefile:47: recipe for target 'install' failed
make: *** [install] Error 131

Comments

  • 1 Comment sorted by Votes Date Added
  • Hi @nicmaq

    I apologize for any confusion. But you're correct - the NCSDK is not compatible with the NCS2. The software kit that is used with the NCS2 is called OpenVINO and can be installed here . Here is a good external blog about how to install OpenVINO with OpenCV on your Raspberry Pi.
    If you would still like to install the NCSDK to use with the NCS1, please let me know and I can help you install!
    Please let me know if you have any further questions.

    Best Regards,
    Sahira

This discussion has been closed.